scrub-obsolete Package - threadweaver

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/threadweaver scrub-obsolete/main

Diff

diff --git a/debian/changelog b/debian/changelog
index eca90e3..54fe762 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+threadweaver (5.74.0-3) UNRELEASED; urgency=medium
+
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends: Drop versioned constraint on cmake, pkg-kde-tools.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Sat, 14 Nov 2020 22:28:43 -0000
+
 threadweaver (5.74.0-2) unstable; urgency=medium
 
   * Team upload to unstable.
diff --git a/debian/control b/debian/control
index f57b623..684c0eb 100644
--- a/debian/control
+++ b/debian/control
@@ -3,13 +3,13 @@ Section: libs
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake,
                debhelper-compat (= 13),
                doxygen,
                extra-cmake-modules (>= 5.74.0~),
                graphviz,
                libqt5sql5-sqlite:native,
-               pkg-kde-tools (>= 0.15.15ubuntu1~),
+               pkg-kde-tools,
                qtbase5-dev (>= 5.12.0~),
                qttools5-dev,
                qttools5-dev-tools,

Run locally

Try this locally (using the lintian-brush package):

debcheckout threadweaver
cd threadweaver
deb-scrub-obsolete

More details

Full run details